Subject: Re: [bug#67841] [PATCH] Clarify error messages for misuse of m4_warn and --help for -W.

From: "Zack Weinberg" <[email-masked]>
Date: Mon, 18 Dec 2023 14:02:18 -0500

On Fri, Dec 15, 2023, at 6:52 PM, Karl Berry wrote:
> Hi Zack,
>
>     Since this touches code shared between Autoconf and Automake, I'm not
>     checking it in yet and I'm requesting comments from both sides of the
>     fence.
>
> Well, it seems good to me in principle, FWIW. I don't think this
> directly affects automake?

I doubt it, unless there's something you can put in a Makefile.am that will
cause Automake::Channels::msg to be called with a user-controlled $channel
argument.  (On the autoconf side of the fence, m4_warn([channel], [message])
does exactly that, hence the patch.)

zw